package com.shzg.project.worn.mapper;

import com.shzg.project.worn.domain.MqttTopicConfig;
import java.util.List;

/**
 * MQTT主题配置Mapper接口
 *
 * @author shzg
 * @date 2026-04-08
 */
public interface MqttTopicConfigMapper
{
    /**
     * 根据ID查询MQTT主题配置
     *
     * @param id 主键ID
     * @return MQTT主题配置
     */
    public MqttTopicConfig selectMqttTopicConfigById(Long id);

    /**
     * 查询MQTT主题配置列表
     *
     * @param mqttTopicConfig 查询条件
     * @return MQTT主题配置集合
     */
    public List<MqttTopicConfig> selectMqttTopicConfigList(MqttTopicConfig mqttTopicConfig);

    /**
     * 查询启用状态的MQTT主题配置
     *
     * @return MQTT主题配置集合
     */
    public List<MqttTopicConfig> selectEnabledMqttTopicConfigList();

    /**
     * 新增MQTT主题配置
     *
     * @param mqttTopicConfig MQTT主题配置
     * @return 结果
     */
    public int insertMqttTopicConfig(MqttTopicConfig mqttTopicConfig);

    /**
     * 修改MQTT主题配置
     *
     * @param mqttTopicConfig MQTT主题配置
     * @return 结果
     */
    public int updateMqttTopicConfig(MqttTopicConfig mqttTopicConfig);

    /**
     * 删除MQTT主题配置
     *
     * @param id 主键ID
     * @return 结果
     */
    public int deleteMqttTopicConfigById(Long id);

    /**
     * 批量删除MQTT主题配置
     *
     * @param ids 主键ID数组
     * @return 结果
     */
    public int deleteMqttTopicConfigByIds(Long[] ids);

    /**
     * 根据部门ID查询MQTT主题配置
     *
     * @param deptId 部门ID
     * @return MQTT主题配置
     */
    MqttTopicConfig selectByDeptId(Long deptId);
}